## org.apache.axis.types
Class Entities

    java.lang.Object
      org.apache.axis.types.NormalizedString
          org.apache.axis.types.Token
              org.apache.axis.types.Name
                  org.apache.axis.types.NCName
                      org.apache.axis.types.Entities

All Implemented Interfaces:
  java.io.Serializable

public class Entities
extends NCName

Custom class for supporting XSD data type Entities

Author:
  Davanum Srinivas <dims@yahoo.com>
See Also:
  XML Schema 3.3.12 ENTITIES, Serialized Form

Constructor Summary
`Entities()`
`Entities(java.lang.String stValue)` ctor for Entities

Methods inherited from class org.apache.axis.types.NCName
`isValid, setValue`

Methods inherited from class org.apache.axis.types.NormalizedString
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Entities

    public Entities()

### Entities

    public Entities(java.lang.String stValue)
             throws java.lang.IllegalArgumentException

  ctor for Entities

Throws:
  `java.lang.IllegalArgumentException` - will be thrown if validation fails

Copyright © 2005 Apache Web Services Project. All Rights Reserved.